import React, { HTMLAttributes } from "react";
import { ITooltipProps } from "./Tooltip";
interface IProps extends HTMLAttributes<HTMLSpanElement>, Omit<ITooltipProps, "visible" | "tabIndex" | "aria-describedby"> {
    tooltipTargetClassName?: string;
    ignoreHover?: (ev: React.MouseEvent) => boolean;
}
/**
 * Generic tooltip target element that handles tooltip visibility state
 * and displays children
 */
declare const TooltipTarget: (props: IProps & React.RefAttributes<HTMLDivElement>) => React.ReactElement<any, string | React.JSXElementConstructor<any>> | null;
export default TooltipTarget;
